Ubuntu

[iOS5 devices do not work] Unhandled lockdown error (-4)

Reported by Alan Pope ㋛ on 2011-06-10
152
This bug affects 26 people
Affects Status Importance Assigned to Milestone
libimobiledevice (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Medium
Kenneth James
Oneiric
Medium
Martin Pitt
Precise
Medium
Martin Pitt

Bug Description

Binary package hint: nautilus

TEST CASE:
1. attach an iphone with iOS5
2. see you get the error on mount "Unhandled lockdown error (-4)"
3. now install libimobiledevice from natty-proposed
4. see the iphone successfully makes a USB connection.

======Original Report======

Plugged an iphone 4 running beta of iOS 5 into my Ubuntu Natty desktop and got a dialog:-

"Unable to mount Alan Pope's iPhone"
"Unhandled lockdown error (-4)"

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: nautilus 1:2.32.2.1-0ubuntu13
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Fri Jun 10 11:49:15 2011
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: nautilus
UpgradeStatus: No upgrade log present (probably fresh install)

Alan Pope ㋛ (popey) wrote :
Pedro Villavicencio (pedro) wrote :

reassigning.

affects: nautilus (Ubuntu) → libiphone (Ubuntu)
Julien Lavergne (gilir) wrote :
affects: libiphone (Ubuntu) → libimobiledevice (Ubuntu)
Alan Pope ㋛ (popey) wrote :

I tested this patch by applying it to the version in Natty and it works. http://ppa.launchpad.net/popey/ppa/ubuntu/pool/main/libi/libimobiledevice/

I am now able to get photos and music off my ios5 device.

Omer Akram (om26er) on 2011-06-11
description: updated
Omer Akram (om26er) on 2011-06-11
Changed in libimobiledevice (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Omer Akram (om26er) on 2011-06-11
summary: - Unhandled lockdown error (-4)
+ [iOS5]Unhandled lockdown error (-4)

This has come back with iOS 5 beta 2.

This has come back with iOS 5 beta 5.

any update on this bug?

Ryan Kitty (gothickitty93) wrote :

still here with beta 6

tags: added: testcase
Alan Pope ㋛ (popey) wrote :

Given iOS5 releases next week (similar time to 11.10), it might be nice to get this fixed in time for the release, or at least an SRU?

Paul Sladen (sladen) on 2011-10-05
summary: - [iOS5]Unhandled lockdown error (-4)
+ [iOS5 devices do not work] Unhandled lockdown error (-4)
Changed in libimobiledevice (Ubuntu Natty):
status: New → Confirmed
importance: Undecided → Medium
Changed in libimobiledevice (Ubuntu Oneiric):
milestone: none → oneiric-updates
Changed in libimobiledevice (Ubuntu Natty):
milestone: none → natty-updates
tags: added: rls-mgr-o-tracking
Julien Lavergne (gilir) wrote :

There is still no fix available, but upstream requested more information about this issue. From upstream ticket :
"Could you post the output of "ideviceinfo -d" please? Thanks."

Alan Pope ㋛ (popey) wrote :

I did that and replied on the upstream bug. "ideviceinfo -d" returns nothing at all.

Changed in libimobiledevice (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → Medium
Ryan Kitty (gothickitty93) wrote :

I can confirm that "ideviceinfo -d" when run in a terminal, does not output anything. Maybe it writes to a file? Anyway, I have this issue with iOS5 GM on my iPad 2 with Ubuntu Oneiric x86. Also, is error (-4) the same as error (-15)?, because http://libiphone.lighthouseapp.com/projects/27916/tickets/220-unhandled-lockdown-error-4 says the issue (-4) was resolved, but http://libiphone.lighthouseapp.com/projects/27916/tickets/221-unhandled-lockdown-error-15 is a different error (-15) than what I'm experiencing, and what most people are reporting having. Please excuse me if I'm being noobish here, I just thought that was odd.

Alan Pope ㋛ (popey) wrote :

I tried applying the patch mentioned in comment 4 to libimobiledevice 1.1.1 in oneiric and added it to my ppa of random things. https://launchpad.net/~popey/+archive/ppa

I installed it on latest oneiric and rebooted. In a guest session the phone works as expected.

I don't know the impact of that patch (not a programmer), but if it's sane I can make a patch and upload it to this bug.

Martin Pitt (pitti) wrote :

Thanks for testing this! I'll prepare SRUs.

Changed in libimobiledevice (Ubuntu Oneiric):
assignee: nobody → Martin Pitt (pitti)
status: Confirmed → In Progress
Changed in libimobiledevice (Ubuntu Precise):
status: Confirmed → In Progress
assignee: nobody → Martin Pitt (pitti)
Changed in libimobiledevice (Ubuntu Natty):
status: Confirmed → In Progress
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

I uploaded SRUs for oneiric, natty, and lucid.

Changed in libimobiledevice (Ubuntu Lucid):
status: New → Fix Committed
Changed in libimobiledevice (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in libimobiledevice (Ubuntu Oneiric):
status: In Progress → Fix Committed

Hello Alan, or anyone else affected,

Accepted libimobiledevice into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Alan Pope ㋛ (popey) wrote :

Ok, updated an oneiric machine. I now get a crash in iphone-set-info which I filed as bug 870592 which looks like bug 730385, and a crash in upowerd which is bug 870593

Alan Pope ㋛ (popey) wrote :

Oh, and I still get "Unhandled Lockdown error (-15)" in a popup.

Martin Pitt (pitti) wrote :

Alan, in comment 15 you said that the very same patch worked for your device? Are the crashes you mentioned in bug 19 a regression from this update, or did you get them before? Did you get them with your PPA package?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libimobiledevice (Ubuntu Maverick):
status: New → Confirmed
Martin Pitt (pitti) on 2011-10-11
Changed in libimobiledevice (Ubuntu Precise):
status: In Progress → Fix Committed
Alan Pope ㋛ (popey) wrote :

 I have 3 different installs of oneiric, and they're all now updated. The only one that worked is the one I put the patched ppa build on. My main desktop pc gives unhandled lockdown error -15.

I have now deleted ~/.config/libimobiledevice on my laptop which worked with the PPA and now it doesn't work, I get the same error -15. Interestingly though network manager can see the device and is using it as a personal tethered internet device, but I can't get photos off it as I did previously with my patched ppa build

Ryan Kitty (gothickitty93) wrote :

I can confirm that the fix in the repository is working (for me at least) with a 16GB iPad 2 with iOS 5 GM

Martin Pitt (pitti) wrote :

Hello Alan, or anyone else affected,

Accepted libimobiledevice into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Hello Alan, or anyone else affected,

Accepted libimobiledevice into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Alan, on the computer that does not work and supposedly has the proposed package installed, can you please check by giving the output of "apt-cache policy libimobiledevice2"? Thanks!

Alan Pope ㋛ (popey) wrote :

Ok I am clearly an idiot. It works fine on that desktop. Perhaps I didnt reboot / logout last time, because booting from cold and plugging in an iPad / iPhone on that machine works okay. Sorry for the noise.

Martin Pitt (pitti) wrote :

*phew*, thanks for testing again!

tags: added: verification-done-oneiric
walterclozet (walterclozet-u) wrote :

I installed libimobiledevice 1.1.1 from http://ppa.launchpad.net/popey/ppa/ubuntu/pool/main/libi/libimobiledevice/ and it works now in ubuntu 11.10 beta 2 with ios 5 GM

Martin Pitt (pitti) on 2011-10-13
tags: added: verification-done
Sameer Morar (smorar) wrote :

I have just installed libimobiledevice 1.1.0-3ubuntu1 from natty-proposed, and I am still getting the "Unhandled lockdown error" message.

I have tested this after rebooting, and I have upgraded my iphone to iOS 5 released yesterday.

I suggest that verification gets done on the actual iOS release, instead of the iOS 5 GM release.

tags: removed: verification-done
Sameer Morar (smorar) wrote :

Herewith further info from the syslog:

Oct 13 22:24:00 localhost kernel: [ 1445.565743] ADDRCONF(NETDEV_UP): eth1: link is not ready
Oct 13 22:24:01 localhost kernel: [ 1447.161868] show_signal_msg: 18 callbacks suppressed
Oct 13 22:24:01 localhost kernel: [ 1447.161881] iphone-set-info[4033]: segfault at 8 ip 003a7706 sp bf8ee984 error 4 in libc-2.13.so[32d000+15a000]

Alan Pope ㋛ (popey) wrote :

Sameer that looks like bug 870592

Sameer Morar (smorar) wrote :

Alan, I cannot access bug 870592 - I keep getting a message saying that the bug cannot be found.

David (nqk) wrote :

Same problem with 11.10 final and iOS 5 final.
libimobiledevice is installed by default.

Ryan Kitty (gothickitty93) wrote :

Ok, on 11.10 final and iOS 5 GM (GM and final ARE the same release in this case), my iPad 2 is giving me Lockdown Error -15. I swear it worked on comment #25.

Stv (stephen-camilo) on 2011-10-15
Changed in libimobiledevice (Ubuntu Precise):
status: Fix Committed → Fix Released

I updated to the oneriric-proposed version (in 11.10) and now my iPod touch 4th gen (with iOS 5) is mounting and working with Banshee without any problems so far.

Ryan Marucha (ryanjames170) wrote :

ok so im kinda a noob on this end of linux but i am running Mint 10 Julia, and i am having this same issue, what fix would i use to get it working? i cant get the linked package for 1.1.0-03 to work gives me some install errors

Martin Pitt (pitti) on 2011-10-16
Changed in libimobiledevice (Ubuntu Precise):
status: Fix Released → Fix Committed
Danny (lesarde) wrote :

Same problem with 11.10 final and iOS 5 final in iphone 3gs.

Changed in libimobiledevice (Ubuntu Oneiric):
status: Fix Committed → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libimobiledevice (Ubuntu Oneiric):
status: New → Confirmed
Changed in libimobiledevice (Ubuntu Oneiric):
status: Confirmed → Fix Released
Martin Pitt (pitti) on 2011-10-17
Changed in libimobiledevice (Ubuntu Oneiric):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libimobiledevice - 1.1.1-1ubuntu1

---------------
libimobiledevice (1.1.1-1ubuntu1) oneiric-proposed; urgency=low

  * Add 00git_ios5_support.patch: Fix "Unhandled lockdown error" for iOS 5.
    (LP: #795475)
 -- Martin Pitt <email address hidden> Fri, 07 Oct 2011 17:58:07 +0200

Changed in libimobiledevice (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in libimobiledevice (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Released oneiric/precise update; still needs testing on lucid/natty.

Danny (lesarde) wrote :

I downloaded the libimobiledevice2_1.1.1-1ubuntu1_amd64.deb from http://ppa.launchpad.net/popey/ppa/ubuntu/pool/main/libi/libimobiledevice/libimobiledevice2_1.1.1-1ubuntu1_amd64.deb .

It works fine with 11.10 final and ios5 final in iphone 3gs!

thx.

Danny (lesarde) wrote :

I tested natty which booted from live CD using http://ppa.launchpad.net/popey/ppa/ubuntu/pool/main/libi/libimobiledevice/libimobiledevice2_1.1.0-3ubuntu2_amd64.deb.

It works fine with 11.04 final and ios5 final in iphone 4gs.

Martin Pitt (pitti) on 2011-10-17
tags: added: verification-done-natty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libimobiledevice - 1.1.0-3ubuntu1

---------------
libimobiledevice (1.1.0-3ubuntu1) natty-proposed; urgency=low

  * Add 00git_ios5_support.patch: Fix "Unhandled lockdown error" for iOS 5.
    (LP: #795475)
 -- Martin Pitt <email address hidden> Fri, 07 Oct 2011 18:01:41 +0200

Changed in libimobiledevice (Ubuntu Natty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Thanks for testing! Now only lucid is still pending verification.

So when does this leave oneiric proposed and go into the main repo?

Martin Pitt (pitti) wrote :

It already is in oneiric-updates.

So does anyone know what the difference between the "Unhandled Lockdown error (-4)" and the "Unhandled Lockdown error (-15)" ?

I'm currently getting the -15 variety with the latest (and up to date) Ubuntu on 64bit and an IPad 2 with iOS 5

I don't really know where to go with this and if anyone could point me in the right direction that would be great! Also, should I open a new bug for the -15 variety of this error/bug?

Richard Blocker (rrblocker) wrote :

I get the "Unhandled lockdown error (-15)" with an iPad 2, iOS 5, x86_64 Ubuntu 11.10

Sameer Morar (smorar) wrote :

@Richard and Andrew - bug 877440 has been opened for the "Unhandled Lockdown error (-15)" issue.

Ryan Marucha (ryanjames170) wrote :

how on earth do u update to this? becuse i have "all current updates on my distro" but i am still getting this error? is there a link to a installer or such?

Ryan Marucha (ryanjames170) wrote :

i should say something compiled to install

Hank (hmendezm-h) wrote :

HI Martin, Still I get errors when I connect my Iphone 4 IOS5 to my Laptop. Unhandled Lockdown error (-15).

The iphone is not mounted!
Please help me to fix this
HANK

Rpdh (robert-dehaas) wrote :

Hi there. Another here. Ubuntu 11.10 x64 - fully up-to-date. I get "Unhandled Lockdown error (-15)" when I connect my iPhone4 - IOS5 device. Checked, and have libimobiledevice2 installed. Any help appreciated.

@pitti: I can confirm that the proposed update to 0.9.7-1ubuntu1.2 on lucid fixes this issue.

Bobby (bmagnusen) wrote :

How about Maverick, Martin?

Martin Pitt (pitti) on 2011-10-26
tags: added: verification-done
removed: verification-done-natty verification-done-oneiric verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libimobiledevice - 0.9.7-1ubuntu1.2

---------------
libimobiledevice (0.9.7-1ubuntu1.2) lucid-proposed; urgency=low

  * Add 00git_ios5_support.patch: Fix "Unhandled lockdown error" for iOS 5.
    (LP: #795475)
 -- Martin Pitt <email address hidden> Fri, 07 Oct 2011 18:04:44 +0200

Changed in libimobiledevice (Ubuntu Lucid):
status: Fix Committed → Fix Released

@Bobby: I downgraded to lucid to escape Unity and Gnome3. Now that it works, I won't risk another upgrade in the foreseeable future, sorry :)

Bobby (bmagnusen) wrote :

Bummage! Thanks Martin!

Cuzco57 (stanescot) wrote :

Hi,

I don't really understand if it will be fixed for Maverick, a clue?

Thanks!

Tomek Bury (tomek-bury) wrote :

The segfault is an obvious bug to solve. Until then the workaround that worked for me can be found here:

http://ubuntuforums.org/showpost.php?p=11350062&postcount=2

It boils down to the unpair-pair sequence:

sudo apt-get install libimobiledevice-utils
idevicepair unpair && idevicepair pair

Vad Kay (spaceye) wrote :

Yes, really guys, what about Maverick? Any idea when or if at all?
Thanks.

Excerpts from Vad Kay's message of Thu Nov 10 19:39:21 UTC 2011:
> Yes, really guys, what about Maverick? Any idea when or if at all?
> Thanks.
>

Hi Vad. With Maverick down to just about 5 months of supported life
left, and two releases since it, we are only focusing on really high
priority fixes in Maverick. I'd recommend an update to 11.04 or 11.10,
since those have full support.

Changed in libimobiledevice (Ubuntu Maverick):
status: Confirmed → Fix Released
Clint Byrum (clint-fewbar) wrote :

Matthew, please provide justification before changing the status from Confirmed -> Fix Released. Thanks!

Changed in libimobiledevice (Ubuntu Maverick):
status: Fix Released → Confirmed
katanacb (katanacb) wrote :

+1 for Maverick. It's still supported, and without getting into a long off-thread debate about Unity and Gnome3, Maverick is still supported by your own admission .. and it seems all that's needed is a (re)build of the .deb that works for the other distros.

... or I could downgrade to Lucid but that seems like a huge effort just to fix this one issue. I'm guessing that the source for the fix in Natty is available, and could be built for Maverick on our own?

Marshall Giguere (marsh) wrote :

+2 for Maverick. It's supported, bugs should be fixed. Not going to Unity or Gnome3 anytime soon.

Clint Byrum (clint-fewbar) wrote :

Marshall, you'll be completely unsupported on Maverick in just 3 months. Now is the time to upgrade. Natty will give you 6 more months of Gnome 2 with the "Classic" mode that was shipped in Natty. After that, you'll only be able to choose Gnome 3 or Unity anyway.

We'd love to fix every bug in Maverick, but at this point, the focus needs to be on the High priority bugs in other supported releases. Since there is an upgrade path available, this one is unlikely to get much attention. Of course, any Ubuntu user can submit a patch, and we'll gladly sponsor it.

https://wiki.ubuntu.com/StableReleaseUpdates
https://wiki.ubuntu.com/SponsorshipProcess

Aritchie (aritchie) wrote :

Hmm, looks like the issue has resurfaced - only the error code is different. This is an ipad 2 with ios 5.0.1. I am running Ubuntu 11.10. It states "Unable to mount iPad" Unhandled Lockdown error (-15). This problem surfaced months ago but was fixed with some updates. It looks like some recent updates have broken it again. If you guys need some more information, then please let me know what you need. It was working the last time I connected my iPad, but I have installed updates to Ubuntu since so I have no idea what happened.

Aritchie (aritchie) wrote :

Is there a way for you guys to remove that last comment. I think I may have jumped the gun. I am going to check something I did not think of before I made that last comment. I apologize for this.

Aritchie (aritchie) wrote :

Okay what I tried did not solve the problem, so it still will not mount the iPad and coming up with the same message. I will see if Banshee will see it.

Aritchie (aritchie) wrote :

Yep, no luck. It won't mount the iPad.

Aritchie (aritchie) wrote :

I apologize gentlemen for wasting time here. I found the solution to my problem under another bug report. It is mounting fine now.

Ivo Wever (ivo-wever) wrote :

@aritchie: could you provide a link to that bug report please?

develCuy (fernando-develcuy) wrote :

In Ubuntu 11.04, I confirm #44, just had to upgrade dependencies from oneric repo.

Nice1 Bruvva (nice1bruvva) wrote :

Fix not released in any repository thus not fixed but patched. Please mark accurately

Changed in libimobiledevice (Ubuntu Maverick):
status: Confirmed → Incomplete
Christopher (xsmokey89x) on 2012-05-23
Changed in libimobiledevice (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
glennrave (glennreiman) wrote :

Hope it works guy

Changed in libimobiledevice (Ubuntu Natty):
assignee: Martin Pitt (pitti) → glennrave (glennreiman)
assignee: glennrave (glennreiman) → nobody
Changed in libimobiledevice (Ubuntu Natty):
assignee: nobody → Kenneth James (msbdjames)
Changed in libimobiledevice (Ubuntu Maverick):
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers